"""Control Operating Systems."""

from pathlib import Path

from rwx.err import Error
from rwx.os.debian import Debian


class OS:
    """Operating System."""

    def __init__(self, path: Path) -> None:
        """Set root."""
        self.root = path
        self.name = self.get_name()

    def get_name(self) -> str:
        """Return mandatory name."""
        raise Error


def from_path(path: Path) -> OS:
    """Initialize from an already existing path."""
    return Debian(path)
